#Create Charts(pie chart, Bar chart, Plot chart by retrieving data 
#from text file through Pandas  www.Tricks12345.com ... Pavan Kumar Gundlapalli
#=========================================================
import pandas as pd
from tkinter import *
from tkinter.ttk import *
from tkinter import messagebox
layout = Tk()
layout.title("Create chart by using first five rows of text file")
layout.geometry('500x300')
labl1 = Label(layout, text = 'Select Chart Type', font=("calibri", 25))
labl1.grid(column=0, row=0)
combo = Combobox(layout, width = 15, font=("calibri", 15))
combo.grid(column = 1, row = 0)
combo['values'] = ['Bar Chart', 'Line Chart', 'Pie Chart']
combo.current(0)
df = pd.read_csv("Sales.txt", delimiter = ',', nrows = 5)
import matplotlib.pyplot as plt
xvalue =list(df['Item']); yvalue = list(df['Price'])
def CreateChart():
    Chartype  = combo.get()
    if Chartype == 'Bar Chart':
        minvalue = min(yvalue); minindex = yvalue.index(minvalue)
        bars = plt.bar(xvalue, yvalue, label = 'Price', width = 0.5, color = 'Green')
        bars[minindex].set_facecolor('red')        
    elif Chartype ==  'Line Chart':
        plt.plot(xvalue, yvalue, label = 'Price', color = 'red', \
                 linestyle = 'dotted', linewidth = 5, marker = 'o', \
                 markerfacecolor = 'red', markeredgecolor = 'green', \
                 markeredgewidth = 5, markersize = 11)
        plt.grid = True
    elif Chartype ==  'Pie Chart':
        plt.pie(yvalue, labels = xvalue)
    plt.title(Chartype + ' with Price Data')
    plt.legend()
    plt.savefig(Chartype + ' Sales Report.png')  
    plt.show()
btn = Button(layout, text = 'Create Chart',width = 25, command = CreateChart)
btn.grid(column =1, row = 1)
layout.mainloop()
